/**
 *
 * Display navigation items in a collapsible drawer at the side of a UI.
 *
 * @status stable
 * @version 1.0.0
 *
 * @slot foot - nav items to be placed at the bottom of the drawer
 * @slot - default slot for nav items
 */
export declare class MenuDrawer {
    private containerDiv;
    private contentDiv;
    private globalNav;
    private children;
    private ro;
    private slotCtrl;
    private el;
    reset: boolean;
    isLoading: boolean;
    hide: boolean;
    secondaryOpen: boolean;
    /**
     * Set the initial menu drawer open or closed
     */
    open: boolean;
    /**
     * Global-nav width to hide the menu drawer and move the items into the nano-global-nav
     */
    hideWidth: number;
    cancelNavItemEvents(ev: CustomEvent): void;
    openChange(): void;
    private moveItemsToGlobalNav;
    private moveItemsToDrawer;
    private onResize;
    private toggle;
    private attachRO;
    componentWillLoad(): void;
    connectedCallback(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    render(): any;
}
